//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "SMTPPassDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TSMTPPassDlg *SMTPPassDlg;
//---------------------------------------------------------------------------
bool __fastcall SMTPGetHostUidPassword(TForm *Owner, AnsiString &Host,
   AnsiString &Userid, AnsiString &Password)
{
   SMTPPassDlg = new TSMTPPassDlg(Owner);
   SMTPPassDlg->Password->Text = Password;
   SMTPPassDlg->Userid->Text = Userid;
   if (!Host.IsEmpty())
   {
      SMTPPassDlg->ActiveControl = SMTPPassDlg->Userid;
      SMTPPassDlg->Caption = "Enter User ID and Password";
      SMTPPassDlg->Host->ParentColor = true;
      SMTPPassDlg->Host->ReadOnly = true;
      SMTPPassDlg->Host->Text = Host;
   }
   SMTPPassDlg->ShowModal();
   bool ok = SMTPPassDlg->ModalResult==mrOk;
   Password = SMTPPassDlg->Password->Text;
   Userid = SMTPPassDlg->Userid->Text;
   Host = SMTPPassDlg->Host->Text;
   delete SMTPPassDlg;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TSMTPPassDlg::TSMTPPassDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,(TForm*)Owner);
}
//---------------------------------------------------------------------------
void __fastcall TSMTPPassDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrOk && !Host->Text.Pos("."))
   {
      MsgBoxHwnd(Handle,
         s("The host name specified is not a valid host name. It must\n")+
         s("contain at least 1 period ('.') Yours has none at all !"),
         s("Host Name Error"), MB_OK);
      CanClose = false;
      return;
   }
   if (ModalResult==mrOk && (Host->Text.IsEmpty() || Userid->Text.IsEmpty() || Password->Text.IsEmpty()))
   {
      MsgBoxHwnd(Handle,
         "Host, User ID and Password are all required fields!",
         "Data Error",MB_OK);
      CanClose = false;
      return;
   }
   if (ModalResult==mrCancel && (Host->Modified || Userid->Modified || Password->Modified))
   {
      switch(MsgBoxHwnd(Handle,
        "Your host information is modified.\n\nSave your changes?",
        "Confirm",MB_YESNOCANCEL))
      {
         case IDCANCEL: CanClose = false; return;
         case IDYES: ModalResult = mrOk; break;
      }
   }
}
//---------------------------------------------------------------------------
void __fastcall TSMTPPassDlg::HideTypeClick(TObject *Sender)
{
   if (HideType->Checked) Password->PasswordChar = '*';
   else Password->PasswordChar = '\0';
}
//---------------------------------------------------------------------------
void __fastcall TSMTPPassDlg::FormShow(TObject *Sender)
{
   Password->Modified = false;
   Userid->Modified = false;
   Host->Modified = false;
}
//---------------------------------------------------------------------------
